Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.eclipse.finder.matchers
Class WidgetMatcherFactory

    java.lang.Object
      org.eclipse.swtbot.swt.finder.matchers.WidgetMatcherFactory
          org.eclipse.swtbot.eclipse.finder.matchers.WidgetMatcherFactory

    public abstract class WidgetMatcherFactory

extends WidgetMatcherFactory

Constructor Summary
`WidgetMatcherFactory()`

Method Summary
`static
`<T extends IWorkbenchPartReference> Matcher<T>`
` | `withPartId(Matcher<String> idMatcher)` Matches a workbench part (view/editor) with the specified id.
`static
`<T extends IWorkbenchPartReference> Matcher<T>`
` | `withPartId(String id)` Matches a workbench part (view/editor) with the specified id.
`static
`<T extends IWorkbenchPartReference> Matcher<T>`
` | `withPartName(Matcher<String> nameMatcher)` Matches a workbench part (view/editor) with the specified name.
`static
`<T extends IWorkbenchPartReference> Matcher<T>`
` | `withPartName(String text)` Matches a workbench part (view/editor) with the specfied name.
`static Matcher` | `withPerspectiveId(Matcher<String> idMatcher)` Matches a perspective with the specified id.
`static Matcher` | `withPerspectiveId(String id)` Matches a perspective with the specified id.
`static Matcher` | `withPerspectiveLabel(Matcher<String> labelMatcher)` Matches a perspective with the specified label.
`static Matcher` | `withPerspectiveLabel(String label)` Matches a perspective with the specified label.

Methods inherited from class org.eclipse.swtbot.swt.finder.matchers.WidgetMatcherFactory
`allOf, allOf, anyOf, anyOf, inGroup, inGroup, inUIThread, widgetOfType, withId, withId, withItem, withLabel, withLabel, withMessage, withMnemonic, withRegex, withStyle, withText, withTextIgnoringCase, withTooltip, withTooltipIgoringCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetMatcherFactory

    public WidgetMatcherFactory()

Method Detail

### withPartName

    public static <T extends IWorkbenchPartReference> Matcher<T> withPartName(String text)

  Matches a workbench part (view/editor) with the specfied name.

  Parameters:
    `text` - the label of the part.
  Returns:
    a matcher.
  Since:
    2.0

### withPartName

    public static <T extends IWorkbenchPartReference> Matcher<T> withPartName(Matcher<String> nameMatcher)

  Matches a workbench part (view/editor) with the specified name.

  Parameters:
    `nameMatcher` - the part name matcher.
  Returns:
    a matcher.
  Since:
    2.0

### withPartId

    public static <T extends IWorkbenchPartReference> Matcher<T> withPartId(String id)

  Matches a workbench part (view/editor) with the specified id.

  Parameters:
    `id` - the id of the part.
  Returns:
    a matcher.
  Since:
    2.0

### withPartId

    public static <T extends IWorkbenchPartReference> Matcher<T> withPartId(Matcher<String> idMatcher)

  Matches a workbench part (view/editor) with the specified id.

  Parameters:
    `idMatcher` - the part id matcher.
  Returns:
    a matcher.
  Since:
    2.0

### withPerspectiveId

    public static Matcher withPerspectiveId(String id)

  Matches a perspective with the specified id.

  Parameters:
    `id` - the id of the perspective.
  Returns:
    a matcher.
  Since:
    2.0

### withPerspectiveId

    public static Matcher withPerspectiveId(Matcher<String> idMatcher)

  Matches a perspective with the specified id.

  Parameters:
    `idMatcher` - the matcher that matches the id of the perspective.
  Returns:
    a matcher.
  Since:
    2.0

### withPerspectiveLabel

    public static Matcher withPerspectiveLabel(String label)

  Matches a perspective with the specified label.

  Parameters:
    `label` - the label of the perspective.
  Returns:
    a matcher.
  Since:
    2.0

### withPerspectiveLabel

    public static Matcher withPerspectiveLabel(Matcher<String> labelMatcher)

  Matches a perspective with the specified label.

  Parameters:
    `labelMatcher` - the matcher that matches the perspective label.
  Returns:
    a matcher.
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD